=== debian/control ===
Source: ros-noetic-pr2-navigation-perception
Section: misc
Priority: optional
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-filters, ros-noetic-geometry-msgs, ros-noetic-laser-filters, ros-noetic-laser-geometry, ros-noetic-laser-tilt-controller-filter, ros-noetic-message-filters, ros-noetic-pcl-ros, ros-noetic-pr2-machine, ros-noetic-pr2-navigation-self-filter, ros-noetic-roscpp, ros-noetic-semantic-point-annotator, ros-noetic-sensor-msgs, ros-noetic-tf, ros-noetic-topic-tools
Homepage: http://ros.org/wiki/pr2_navigation_perception
Standards-Version: 3.9.2

Package: ros-noetic-pr2-navigation-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-filters, ros-noetic-geometry-msgs, ros-noetic-laser-filters, ros-noetic-laser-geometry, ros-noetic-laser-tilt-controller-filter, ros-noetic-message-filters, ros-noetic-pcl-ros, ros-noetic-pr2-machine, ros-noetic-pr2-navigation-self-filter, ros-noetic-roscpp, ros-noetic-semantic-point-annotator, ros-noetic-sensor-msgs, ros-noetic-tf, ros-noetic-topic-tools
Description: This package holds navigation-specific sensor configuration options and launch files for the PR2.
